package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZTouchOperationEngineering;
import com.ruoyi.zdsz.domain.vo.ZTouchOperationEngineeringVo;
import com.ruoyi.zdsz.domain.bo.ZTouchOperationEngineeringBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 碰口作业Service接口
 *
 * @author ruoyi
 * @date 2024-06-12
 */
public interface IZTouchOperationEngineeringService {

    /**
     * 查询碰口作业
     */
    ZTouchOperationEngineeringVo queryById(Long id);

    ZTouchOperationEngineeringVo query(Long id, String type);

    /**
     * 查询碰口作业列表
     */
    TableDataInfo<ZTouchOperationEngineeringVo> queryPageList(ZTouchOperationEngineeringBo bo, PageQuery pageQuery);

    /**
     * 查询碰口作业列表
     */
    List<ZTouchOperationEngineeringVo> queryList(ZTouchOperationEngineeringBo bo);

    /**
     * 新增碰口作业
     */
    Boolean insertByBo(ZTouchOperationEngineeringBo bo);

    /**
     * 修改碰口作业
     */
    Boolean updateByBo(ZTouchOperationEngineeringBo bo);

    /**
     * 校验并批量删除碰口作业信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
